Bug 237147 - python-virtinst and virt-manager don't work when creating FC4 para-virtual guests
python-virtinst and virt-manager don't work when creating FC4 para-virtual gu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 13:59 EDT by Daniel Chen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 12:18:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Chen 2007-04-19 13:59:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3

Description of problem:
python-virtinst and virt-manager don't work when creating FC4 para-virtual guests, but they only can create FC5/FC6 (x86_64) on my 64bit machine. I looked into some codes, and I found it looks for "images/xen" which is not in FC4 tree. (/usr/lib/python2.4/site-packages/virtinst/ParaVirtguest.py). I think it also looks for host's OS version to decide which version (32/64bit) will be installed.

[Wed Apr 18 16:15:45 2007] [error] [client 192.168.2.128] File does not exist: /var/www/html/fedora/core/4/i386/os/images/xen

[Wed Apr 18 16:47:58 2007] [error] [client 192.168.2.128] (70014)End of file found: mod_mime_magic: read failed from uncompress of /var/www/html/fedora/core/5/i386/os
/images/xen/vmlinuz

Version-Release number of selected component (if applicable):
python-virtinst-0.98.0-1.fc6

How reproducible:
Always


Steps to Reproduce:
1. launch virt-install or virt-manager
2. follow the instructions
3. it stops installation

Actual Results:


Expected Results:


Additional info:
Comment 1 Daniel Berrange 2007-04-30 12:18:15 EDT
FC4 did not provide Xen support integrated into the main distribution. It was an
experimental add-on, and so there's no installer support for it - hence the
missing images/xen/vmlinuz file.  In addition Fedora Core 4 is end-of-life.

Note You need to log in before you can comment on or make changes to this bug.